Bug 1472430 - SystemError: <class 'SystemError'> returned a result with an error set
SystemError: <class 'SystemError'> returned a result with an error set
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:d3950aada9e8253430a800cdcbc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 13:21 EDT by Watson
Modified: 2018-05-29 08:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:08:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (480.28 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: anaconda.log (9.38 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: dnf.librepo.log (78.44 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: environ (529 bytes, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: lsblk_output (1.09 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: nmcli_dev_list (1.25 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: os_info (447 bytes, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: program.log (20.35 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: storage.log (30.42 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: syslog (197.98 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: ifcfg.log (1.68 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details
File: packaging.log (2.26 KB, text/plain)
2017-07-18 13:21 EDT, Watson
no flags Details

  None (edit)
Description Watson 2017-07-18 13:21:07 EDT
Version-Release number of selected component:
anaconda-26.21.11-1

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/gettext.py", line 468, in find
    val = os.environ.get(envar)
  File "/usr/lib64/python3.6/gettext.py", line 505, in translation
    mofiles = find(domain, localedir, languages, all=True)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/xkl_wrapper.py", line 49, in <lambda>
    Xkb_ = lambda x: gettext.translation("xkeyboard-config", fallback=True).gettext(x)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/xkl_wrapper.py", line 239, in get_layout_variant_description
    description = Xkb_(layout_info.desc)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/keyboard.py", line 97, in compare_layouts
    show_str1 = self._xkl_wrapper.get_layout_variant_description(value1)
SystemError: <class 'SystemError'> returned a result with an error set

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda
cmdline_file:   initrd=initrd.img logo.nologo root=live:http://10.64.161.1/boot/fedora/26/Everything/x86_64/images/install.img enforcing=0 inst.geoloc=0 BOOTIF=01-52:54:00:f1:c2:09
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        26
Comment 1 Watson 2017-07-18 13:21:12 EDT
Created attachment 1300566 [details]
File: anaconda-tb
Comment 2 Watson 2017-07-18 13:21:13 EDT
Created attachment 1300567 [details]
File: anaconda.log
Comment 3 Watson 2017-07-18 13:21:15 EDT
Created attachment 1300568 [details]
File: dnf.librepo.log
Comment 4 Watson 2017-07-18 13:21:16 EDT
Created attachment 1300569 [details]
File: environ
Comment 5 Watson 2017-07-18 13:21:17 EDT
Created attachment 1300570 [details]
File: lsblk_output
Comment 6 Watson 2017-07-18 13:21:18 EDT
Created attachment 1300571 [details]
File: nmcli_dev_list
Comment 7 Watson 2017-07-18 13:21:18 EDT
Created attachment 1300572 [details]
File: os_info
Comment 8 Watson 2017-07-18 13:21:19 EDT
Created attachment 1300573 [details]
File: program.log
Comment 9 Watson 2017-07-18 13:21:20 EDT
Created attachment 1300574 [details]
File: storage.log
Comment 10 Watson 2017-07-18 13:21:22 EDT
Created attachment 1300575 [details]
File: syslog
Comment 11 Watson 2017-07-18 13:21:23 EDT
Created attachment 1300576 [details]
File: ifcfg.log
Comment 12 Watson 2017-07-18 13:21:24 EDT
Created attachment 1300577 [details]
File: packaging.log
Comment 13 Fedora End Of Life 2018-05-03 04:44:23 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2018-05-29 08:08:39 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.